var $ = jQuery;
jQuery(document).ready(function ($) {
    var $popup = $('.order_delivery_time_popup_layout');
    var weekDays = ['saturday', 'sunday','monday','tuesday','wednesday','thursday','friday'];

    var $pd = $('#order_delivery_time_datepicker').pDatepicker({
        formatter: function(unix){
            return unix;
        },
        onSelect: function(unix){
            var dayfa       = new persianDate(unix).toLocale('en');
            var weekDay     = weekDays[dayfa.format('d')];
            var weekDayName = new persianDate(unix).toLocale('fa').format('dddd');
            var dateStr     = dayfa.format('YYYY/M/D');
            var dateUnix    = parseInt(unix.toString().slice(0, -3));
            $popup.find('#popup_date').val(dateUnix);
            $popup.find('.item.date .value').html(weekDayName + ' - ' + dateStr);
            $popup.find('.item.time .value .weekday.' + weekDay).addClass('active');
            $popup.find('#popup_date_str').val(dateStr);
            $popup.addClass('active');
            $popup.find('input[type="radio"]').removeAttr('checked');
            $pd.hide();
        }
    });
    $(document).on('click', '#add_order_delivery_time', function (e) {
        e.preventDefault;
        e.stopPropagation();
        $popup.find('.weekday').removeClass('active');
        $pd.show();
        return false;
    });
    $(document).on('click', '.order_delivery_time_popup button', function (e) {
        if( !$popup.find('input[name="popup_hour"]').is(':checked')) {
            alert('ساعت مورد نظر را انتخاب کنید.');
            return;
        }
        var hour = $popup.find('input[name="popup_hour"]:checked').val();
        var date = $popup.find('#popup_date').val();
        var dateStr = $popup.find('#popup_date_str').val();
        $('input#order_delivery_time').val(date+'-'+hour);
        console.log(date);
        var $result = '<div class="item">\n' +
            '                        <span class="title">تاریخ:</span>\n' +
            '                        <span class="desc">' + dateStr + '</span>\n' +
            '                    </div>\n' +
            '                    <div class="item">\n' +
            '                        <span class="title">زمان:</span>\n' +
            '                        <span class="desc">' + hour + '</span>\n' +
            '                    </div>';
        $('.show-delivery-time').html($result);
        $popup.removeClass('active');
        return false;
    })
});